> ## Documentation Index
> Fetch the complete documentation index at: https://docs.json.pe/llms.txt
> Use this file to discover all available pages before exploring further.

# RUC - Domicilio Fiscal

> Consulta domicilio fiscal por RUC.



## OpenAPI

````yaml POST /ruc/domicilio-fiscal
openapi: 3.0.1
info:
  title: json.pe - API Consulta RUC, DNI, Placa, SOAT, Licencia de Conducir y más
  description: >-
    Documentación oficial de [json.pe](https://json.pe) — API Consulta RUC, DNI,
    Placa, SOAT, Licencia de Conducir y más. Regístrate gratis en
    [json.pe/signup](https://json.pe/signup).
  version: 1.0.0
servers:
  - url: https://api.json.pe/api
security:
  - bearerAuth: []
paths:
  /ruc/domicilio-fiscal:
    post:
      tags:
        - ruc
      description: Consulta domicilio fiscal por RUC.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ruc-request'
      responses:
        '200':
          description: ruc domicilio fiscal response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ruc-domicilio-fiscal'
        '404':
          description: Recurso no encontrado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              example:
                success: false
                message: No se encontró RUC
components:
  schemas:
    ruc-request:
      type: object
      required:
        - ruc
      properties:
        ruc:
          type: string
          description: El RUC a consultar
          example: '20552103816'
      example:
        ruc: '20552103816'
    ruc-domicilio-fiscal:
      type: object
      properties:
        success:
          type: boolean
          description: El estado de la respuesta true o false
        message:
          type: string
          description: Mensaje de la respuesta
        data:
          type: object
          description: Datos del domicilio fiscal
          properties:
            codigo:
              type: string
              description: Código del domicilio fiscal
            tipo_de_establecimiento:
              type: string
              description: Tipo de establecimiento
            actividad_economica:
              type: string
              description: Actividad económica
            direccion:
              type: string
              description: Dirección específica
            direccion_completa:
              type: string
              description: >-
                Dirección completa, incluyendo distrito, provincia y
                departamento
            departamento:
              type: string
              description: Departamento
            provincia:
              type: string
              description: Provincia
            distrito:
              type: string
              description: Distrito
            ubigeo_sunat:
              type: string
              description: Ubigeo según SUNAT
            ubigeo:
              type: array
              description: Ubigeo desglosado por componentes
              items:
                type: string
      example:
        success: true
        message: exito
        data:
          codigo: '0000'
          tipo_de_establecimiento: DOMICILIO FISCAL
          actividad_economica: '-'
          direccion: AV. ALFREDO BENAVIDES NRO. 617 (ALTURA DE LA VIA EXPRESA)
          direccion_completa: >-
            AV. ALFREDO BENAVIDES NRO. 617 (ALTURA DE LA VIA EXPRESA), LIMA -
            LIMA - MIRAFLORES
          departamento: LIMA
          provincia: LIMA
          distrito: MIRAFLORES
          ubigeo_sunat: '150122'
          ubigeo:
            - '15'
            - '1501'
            - '150122'
    error:
      required:
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      example:
        success: false
        message: Bad Request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````